package com.casic.PgInterface.patroler.dto;

import com.casic.PgInterface.patroler.domain.PgMaintainType;

/**
 * Created by yxw on 2018/8/21.
 */
public class PgMaintainTypeDto{
    private long id;
    private String type;
    private String model;
    private String active;

    public PgMaintainTypeDto (PgMaintainType pgMaintainType)
    {
        if(pgMaintainType.equals(null)) return;
            else {
            this.setId(pgMaintainType.getId());
            this.setType(pgMaintainType.getType());
            this.setModel(pgMaintainType.getModel());
            this.setActive(String.valueOf(pgMaintainType.getActive()));
        }
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }
}
